Subject: Re: RFC: net 00/05: routing based send-to-self implementation

From: Benjamin LaHaise <[email-masked]>
Date: Mon, 30 Nov 2009 15:23:28 -0500

On Mon, Nov 30, 2009 at 12:15:41PM -0800, Ben Greear wrote:
> That still sounds more complicated than the proposed routing table changes,

True.  I agree that being able to accept self-addressed packets via a 
sysctl can be useful.

> at least for my application.  Since I also want to gather stats, set/watch 
> routes,
> etc, on each network device, would I have to keep a thread and netlink 
> socket
> running in each name-space in order to see the various devices?

Yes.  My l2tp daemon is still single threaded internally, so it uses an 
rpc through the threads to open UDP, netlink and L2TP sockets, then manages 
everything from the main event loop.  The thread has to be kept around to 
keep the namespace's task id alive in case one wants to move anything in/out 
of the namespace.

		-ben